mail/claws-mail-rssyl - The NetBSD Packages Collection

Read RSS 1.0, 2.0 and Atom feeds in Claws-Mail

The RSSyl plugin is an RSS feed aggregator for Claws Mail. It has the
following features:

    * Handling of RSS 1.0, RSS 2.0, and Atom feeds
    * Fetching and threaded display of comment feeds
    * Customisable refresh interval for each feed
    * Customisable number of feed items to keep for each feed

Navigating in your feeds and posts is done in the same way as you would
for emails, which makes feed-reading really fast and enjoyable if Claws
Mail's shortcuts are hardwired into your fingers.
Also, the RSSyl plugin unleashes its full potential when used with an HTML
viewer plugin like Dillo or Gtkhtml2Viewer, as this allows fetching a
post's images and font styles.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

mail/claws-mail devel/glib2 mail/libetpan security/gnutls textproc/enchant2 x11/gtk3 textproc/libxml2 devel/glib2 mail/libetpan mail/libetpan security/gnutls textproc/enchant2 x11/gtk3 textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 8.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 8.0earmv7hfclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 8.0i386claws-mail-rssyl-3.17.5nb4.tgz
NetBSD 8.0i386claws-mail-rssyl-3.17.8.tgz
NetBSD 8.0i386claws-mail-rssyl-3.17.8.tgz
NetBSD 8.0i386claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 8.0powerpcclaws-mail-rssyl-3.17.5nb4.tgz
NetBSD 8.0powerpcclaws-mail-rssyl-3.17.8.tgz
NetBSD 8.0powerpcclaws-mail-rssyl-3.17.8.tgz
NetBSD 8.0powerpcclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 8.0powerpcclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 8.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 8.0x86_64claws-mail-rssyl-3.17.5nb4.tgz
NetBSD 8.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 8.0x86_64claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0aarch64claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0aarch64claws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0aarch64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0aarch64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0alphaclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0alphaclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv6hfclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0earmv6hfclaws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0earmv6hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv6hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv6hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0earmv7hfclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0i386claws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0i386claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0i386claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0i386claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0mips64ebclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0mips64ebclaws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0mips64ebclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0mips64ebclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0powerpcclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0powerpcclaws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0powerpcclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0powerpcclaws-mail-rssyl-3.17.8.tgz
NetBSD 9.0powerpcclaws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0sparc64claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0sparc64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8nb3.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.5nb4.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0x86_64claws-mail-rssyl-3.17.8.tgz
NetBSD 9.0x86_64claws-mail-rssyl-4.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.